/*
*  Rubrica
*  file: addressbook.h
*  
*  Copyright (C) 2000-2001 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __RUBRICA_PREFERENCES_NOTIFY_
#define __RUBRICA_PREFERENCES_NOTIFY_

#include <gnome.h>
#include <gconf/gconf-client.h>

void rubrica_notify_path_config(GConfClient* client, GtkWidget *label,  gchar *key);
void rubrica_notify_path_changes(GConfClient* client, guint cnxn_id, 
				 GConfEntry* entry, gpointer data);

void rubrica_notify_check_config(GConfClient* client, GtkWidget *check, gchar *key);
void rubrica_notify_check_changes(GConfClient* client, guint cnxn_id, 
				  GConfEntry* entry, gpointer data);

void rubrica_notify_autosave_time_changes(GConfClient* client, guint cnxn_id, 
					  GConfEntry *entry, gpointer data);


void rubrica_notify_column_config(GConfClient *client, GtkTreeViewColumn *column, gchar *key);
void rubrica_notify_column_changes(GConfClient *client, guint cnxn_id, 
				   GConfEntry *entry, gpointer data);


#endif
